Refresh Maven project doesn't use specified Maven version?

I'm using Diana 9920.

I just updated the Maven prerequisite version in poms to 2.1.0
When I try to refresh projects, I get the following error:
[ERROR] Unable to build project 'project/pom.xml; it requires Maven version 2.1.0

My installed version of Maven is 2.2.1. It seems Idea is using an internal Maven version to refresh instead of using the one specified in the settings.

Is it a bug or is there a way to explicitely tell Idea to use the Maven Settings version even for project refresh?

cheers

Please sign in to leave a comment.